## fcitx5-anthy 5.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx5-anthy VERSION 5.0.9)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Fcitx5Core 5.0.6 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Clipboard)
find_package(Gettext REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(AnthyUnicode IMPORTED_TARGET "anthy-unicode")

if (AnthyUnicode_FOUND)
    set(ANTHY_TARGET PkgConfig::AnthyUnicode)
else()
    pkg_check_modules(Anthy IMPORTED_TARGET "anthy" REQUIRED)
    set(ANTHY_TARGET PkgConfig::Anthy)
endif()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-anthy\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(icon)
add_subdirectory(profile)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml XML)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== profile/CMakeLists.txt ===
file(GLOB STYLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.sty)
install(FILES ${STYLE_FILES} DESTINATION "${FCITX_INSTALL_PKGDATADIR}/anthy")

=== src/CMakeLists.txt ===
set( fcitx_anthy_sources
     action.cpp
     style_file.cpp
     conversion.cpp
     default_tables.cpp
     engine.cpp
     kana.cpp
     key2kana.cpp
     key2kana_base.cpp
     key2kana_table.cpp
     preedit.cpp
     reading.cpp
     utils.cpp
     conversion.cpp
     state.cpp
     nicola.cpp
    )

add_library(anthy MODULE ${fcitx_anthy_sources})
target_link_libraries(anthy Fcitx5::Core Fcitx5::Config ${ANTHY_TARGET} Fcitx5::Module::Clipboard)
set_target_properties(anthy PROPERTIES PREFIX "")
install(TARGETS anthy DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(anthy.conf.in anthy.conf)
configure_file(anthy-addon.conf.in.in anthy-addon.conf.in)
fcitx5_translate_desktop_file(${CMAKE_CURRENT_BINARY_DIR}/anthy-addon.conf.in anthy-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/anthy.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/anthy-addon.conf" RENAME anthy.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-anthy (5.0.9-2) unstable; urgency=medium

  * Source-only upload. 

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Feb 2022 22:53:07 -0500

fcitx5-anthy (5.0.9-1) unstable; urgency=medium

  * Initial release. (Closes: #996665)

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Feb 2022 14:34:05 -0500

=== debian/control ===
Source: fcitx5-anthy
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5core-dev (>= 5.0.6),
 libanthy-dev,
 pkg-config,
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx5-anthy
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-anthy.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-anthy

Package: fcitx5-anthy
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-anthy,
Description: Fcitx5 wrapper for Anthy IM engine
 This package provides a wrapper of Anthy IM engine for Fcitx5 Input
 Method Framework.
 .
 Anthy is a Japanese input method which converts hiragana text
 to mixed kana and kanji.

## fcitx5-anthy 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.0.9)
+project(fcitx5-anthy VERSION 5.0.10)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-anthy (5.0.10-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:01 +0800

fcitx5-anthy (5.0.10-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 10:30:53 -0400

## fcitx5-anthy 5.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.0.10)
+project(fcitx5-anthy VERSION 5.0.12)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-anthy (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 22:34:58 -0400

fcitx5-anthy (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:17:45 -0400

## fcitx5-anthy 5.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.0.12)
+project(fcitx5-anthy VERSION 5.0.13)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== icon/CMakeLists.txt ===
install(DIRECTORY 48x48 22x22 scalable DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)

=== debian/changelog ===
fcitx5-anthy (5.0.13-1) unstable; urgency=medium

  * New upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove unused license definitions for BSD-3-Clause.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 17:57:51 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-anthy
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-anthy.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-anthy

## fcitx5-anthy 5.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.0.13)
+project(fcitx5-anthy VERSION 5.0.14)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

## fcitx5-anthy 5.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx5-anthy VERSION 5.1.0)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

option(ENABLE_TEST "Build Test" On)
option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)

find_package(Fcitx5Core 5.0.6 REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Clipboard)
find_package(Gettext REQUIRED)
find_package(PkgConfig REQUIRED)

if (NOT DEFINED ANTHY_TARGET)
    pkg_check_modules(AnthyUnicode IMPORTED_TARGET "anthy-unicode")
    if (AnthyUnicode_FOUND)
        set(ANTHY_TARGET PkgConfig::AnthyUnicode)
    else()
        pkg_check_modules(Anthy IMPORTED_TARGET "anthy" REQUIRED)
        set(ANTHY_TARGET PkgConfig::Anthy)
    endif()
endif()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-anthy\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(icon)
add_subdirectory(profile)


if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml XML)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Anthy.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-anthy (5.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 07:46:16 -0400

fcitx5-anthy (5.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Aug 2023 23:07:57 -0400

fcitx5-anthy (5.0.14-1) unstable; urgency=medium

  *  New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 12:57:00 -0400

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.0.6),
+ libfcitx5core-dev (>= 5.1),
  libanthy-dev,
  pkg-config,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-anthy
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-anthy.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-anthy

## fcitx5-anthy 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.0)
+project(fcitx5-anthy VERSION 5.1.3)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -11,7 +11,7 @@
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 
-find_package(Fcitx5Core 5.0.6 REQUIRED)
+find_package(Fcitx5Core 5.1.2 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS Clipboard)
 find_package(Gettext REQUIRED)
 find_package(PkgConfig REQUIRED)

=== src/CMakeLists.txt ===
add_library(stylefile STATIC style_file.cpp)
set_target_properties(stylefile PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(stylefile Fcitx5::Utils Fcitx5::Config)
target_include_directories(stylefile PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

set( fcitx_anthy_sources
     action.cpp
     conversion.cpp
     default_tables.cpp
     engine.cpp
     kana.cpp
     key2kana.cpp
     key2kana_base.cpp
     key2kana_table.cpp
     preedit.cpp
     reading.cpp
     utils.cpp
     conversion.cpp
     state.cpp
     nicola.cpp
    )

add_library(anthy MODULE ${fcitx_anthy_sources})
target_link_libraries(anthy Fcitx5::Core Fcitx5::Config ${ANTHY_TARGET} Fcitx5::Module::Clipboard stylefile)
install(TARGETS anthy DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(anthy.conf.in anthy.conf)
configure_file(anthy-addon.conf.in.in anthy-addon.conf.in)
fcitx5_translate_desktop_file(${CMAKE_CURRENT_BINARY_DIR}/anthy-addon.conf.in anthy-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/anthy.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod" COMPONENT config)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/anthy-addon.conf" RENAME anthy.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_executable(teststylefile teststylefile.cpp)
target_link_libraries(teststylefile stylefile Fcitx5::Core)
add_test(teststylefile teststylefile)

=== debian/changelog ===
fcitx5-anthy (5.1.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:58 +1100

fcitx5-anthy (5.1.3-1build1) noble; urgency=medium

  * No-change rebuild against libanthy1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 05:24:42 +0000

fcitx5-anthy (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 17:54:46 -0500

fcitx5-anthy (5.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump fcitx5 version requirement.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 16:02:04 -0500

fcitx5-anthy (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add hard dependency from fcitx5-anthy to fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Sep 2023 20:11:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-anthy
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -10,7 +11,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1),
+ libfcitx5core-dev (>= 5.1.2),
  libanthy-dev,
  pkg-config,
  qtbase5-dev,
@@ -24,6 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:

## fcitx5-anthy 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.3)
+project(fcitx5-anthy VERSION 5.1.4)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-anthy (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 May 2024 10:34:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-anthy
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

## fcitx5-anthy 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.4)
+project(fcitx5-anthy VERSION 5.1.5)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-anthy (5.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Drop unused build-dep qtbase5-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 14:46:52 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
  gettext,
  libfcitx5core-dev (>= 5.1.2),
  libanthy-dev,
- pkg-config,
- qtbase5-dev,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-anthy
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-anthy.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-anthy

## fcitx5-anthy 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.5)
+project(fcitx5-anthy VERSION 5.1.6)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -11,8 +12,8 @@
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 
-find_package(Fcitx5Core 5.1.2 REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS Clipboard)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
+find_package(Fcitx5Module REQUIRED COMPONENTS Clipboard TestFrontend)
 find_package(Gettext REQUIRED)
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
fcitx5-anthy (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2025 13:09:24 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1.2),
+ libfcitx5core-dev (>= 5.1.12),
  libanthy-dev,
  pkgconf,
 Rules-Requires-Root: no

## fcitx5-anthy 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.6)
+project(fcitx5-anthy VERSION 5.1.7)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,10 @@
 add_executable(teststylefile teststylefile.cpp)
 target_link_libraries(teststylefile stylefile Fcitx5::Core)
 add_test(teststylefile teststylefile)
+
+add_subdirectory(addon)
+add_subdirectory(inputmethod)
+add_executable(testanthy testanthy.cpp)
+target_link_libraries(testanthy Fcitx5::Core Fcitx5::Module::TestFrontend)
+add_dependencies(testanthy anthy copy-addon copy-im)
+add_test(testanthy testanthy)

=== test/inputmethod/CMakeLists.txt ===
add_custom_target(copy-im DEPENDS anthy.conf.in-fmt)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/anthy.conf ${CMAKE_CURRENT_BINARY_DIR}/anthy.conf)

=== debian/changelog ===
fcitx5-anthy (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 16:52:55 -0400

=== debian/control ===
Source: fcitx5-anthy
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libfcitx5core-dev (>= 5.1.13),
 libanthy-dev,
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/fcitx/fcitx5-anthy
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-anthy.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-anthy
Description: Fcitx5 wrapper for Anthy IM engine
 This package provides a wrapper of Anthy IM engine for Fcitx5 Input
 Method Framework.
 .
 Anthy is a Japanese input method which converts hiragana text
 to mixed kana and kanji.

Package: fcitx5-anthy
Architecture: any
Multi-Arch: same
Depends:
 fcitx5,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 fcitx-anthy,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## fcitx5-anthy 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.7)
+project(fcitx5-anthy VERSION 5.1.8)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
@@ -26,6 +26,10 @@
         set(ANTHY_TARGET PkgConfig::Anthy)
     endif()
 endif()
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-anthy\" -D_GNU_SOURCE)

=== icon/CMakeLists.txt ===
install(DIRECTORY 48x48 22x22 16x16 24x24 scalable DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-anthy)

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_executable(teststylefile teststylefile.cpp)
target_link_libraries(teststylefile stylefile Fcitx5::Core)
add_test(NAME teststylefile COMMAND teststylefile)

add_subdirectory(addon)
add_subdirectory(inputmethod)
add_executable(testanthy testanthy.cpp)
target_link_libraries(testanthy Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testanthy anthy copy-addon copy-im)
add_test(NAME testanthy COMMAND testanthy)

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS anthy-addon.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/anthy-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/anthy.conf)

=== debian/changelog ===
fcitx5-anthy (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:52:49 -0400

fcitx5-anthy (5.1.7-2) unstable; urgency=medium

  * debian/copyright: Update information.
  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:19:58 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  extra-cmake-modules,
  fcitx5-modules-dev,
  gettext,
- libfcitx5core-dev (>= 5.1.13),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libanthy-dev,
  pkgconf,
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-anthy/ \
 fcitx5-anthy-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## fcitx5-anthy 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-anthy VERSION 5.1.8)
+project(fcitx5-anthy VERSION 5.1.9)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)

=== debian/changelog ===
fcitx5-anthy (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 22:17:40 -0500

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  libfcitx5core-dev (>= 5.1.14-4~),
  libanthy-dev,
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-anthy
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-anthy.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-anthy
